#ifndef Fedora_savefile_patch
#define Fedora_savefile_patch

#include <pwd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>

#define SAVEFILE "anarch.sav"

static char _savefile_path[4096] = { '\0' };

const char* get_savefile_path(void) {
	if(_savefile_path[0] != '\0') {
		return _savefile_path;
	}

	const char *xdg = getenv("XDG_DATA_HOME");
	if((xdg != NULL) && (xdg[0] != '\0')) {
		snprintf(
			_savefile_path, sizeof(_savefile_path),
			"%s/" SAVEFILE,
			xdg);
		fprintf(stderr, "Determined savefile path as %s\n", _savefile_path);
		return _savefile_path;
	}

	struct passwd *user_info = getpwuid(getuid());
	if(user_info != NULL) {
		snprintf(
			_savefile_path, sizeof(_savefile_path),
			"%s/.local/share/" SAVEFILE,
			user_info->pw_dir
		);
		fprintf(stderr, "Determined savefile path as %s\n", _savefile_path);
		return _savefile_path;
	}

	puts("Unable to determine savefile path");
	return NULL;
}

#endif
